#===========================================================================
# allowed DPIs
#===========================================================================
dpis: [254, 190, 127, 56]

#===========================================================================
# allowed Formats
#===========================================================================
formats: ['*']

#===========================================================================
# the allowed scales
#===========================================================================
scales:
  - 2500
  - 5000
  - 10000
  - 15000
  - 25000
  - 50000
  - 100000
  - 200000
  - 500000
  - 1000000
  - 2000000
  - 4000000

outputFilename: 'flys-${date}.pdf'

#===========================================================================
# the list of allowed hosts
#===========================================================================
hosts:
  - !localMatch
    dummy: true
  - !dnsMatch
    host: wsvmapserv.wsv.bund.de
    port: 80
  - !dnsMatch
    host: tile.openstreetmap.org
    port: 80
  - !dnsMatch
    host: www.pegelonline.wsv.de
    port: 80
  - !dnsMatch
    host: osm.wheregroup.com
    port: 80

layouts:
  #===========================================================================
  A4 portrait:
  #===========================================================================
    metaData:
      title: '${title}'
      author: 'MapFish print module'
      subject: 'Simple layout'
      keywords: 'map,print'
      creator: 'MapFish'

#    titlePage:
#      pageSize: A4
#      items:
#        - !text
#          spacingAfter: 150
#        - !text
#          font: Helvetica
#          fontSize: 40
#          spacingAfter: 100
#          align: center
#          text: '${title}'
#        - !image
#          maxWidth: 160
#          maxHeight: 160
#          spacingAfter: 100
#          align: center
#          url: http://trac.mapfish.org/trac/mapfish/attachment/ticket/3/logo_v8_sphere.svg?format=raw
#        - !image
#          maxWidth: 160
#          maxHeight: 160
#          spacingAfter: 100
#          align: center
#          url: 'file://${configDir}/../images/flys_logo.gif'
#        - !text
#          font: Helvetica
#          fontSize: 14
#          align: left
#          text: |
#            Two layers are asked by the client:
#            - a base layer from Metacarta
#            - a transparent layer from Camptocamp.org (routes)
#            .
#            Some text is added over the map, just to demonstrate the absolute positionning.
#      footer: &commonFooter
#        height: 30
#        items:
#          - !columns
#            config:
#              cells:
#                - paddingBottom: 5
#            items:
#              - !image
#                maxWidth: 40
#                backgroundColor: #FF0000
#                align: left
#                url: '${configDir}/../images/properties.gif'
#              - !text
#                backgroundColor: #FF0000
#                text: ©Camptocamp SA
#              - !text
#                align: right
#                text: 'Page ${pageNum}'

    #-------------------------------------------------------------------------
    mainPage:
      pageSize: A4
      rotation: true
      header:
        height: 50
        items:
          - !image
            align: left
            maxWidth: 60
            maxHeight: 60
            # Fixme: Replace with local file or self-hosted link...
            url: '${configDir}/../images/FLYS_Logo.png'
      items:
        - !text
            font: Helvetica
            fontSize: 30
            align: right
            text: '${mapTitle}'
            spacingAfter: 30
        - !map
          spacingAfter: 30
          width: 440
          height: 483
        - !scalebar
          type: bar
          maxSize: 100
          barBgColor: white
          fontSize: 8
          align: right
        - !text
          text: '${comment}'
          spacingAfter: 30
        - !text
          font: Helvetica
          fontSize: 9
          align: right
          text: '1:${scale} ${now MM.dd.yyyy}'
        - !legends
          align: left
          maxIconWidth: 32
          maxIconHeight: 32
      footer: *commonFooter

  #===========================================================================
  A0 portrait:
  #===========================================================================
    metaData:
      title: '${title}'
      author: 'MapFish print module'
      subject: 'Simple layout'
      keywords: 'map,print'
      creator: 'MapFish'

    #-------------------------------------------------------------------------
    mainPage:
      pageSize: A0
      rotation: true
      header:
        height: 50
        items:
          - !text
            font: Helvetica
            fontSize: 30
            align: right
            text: '${mapTitle}'
      items:
        - !map
          spacingAfter: 30
          width: 1760
          height: 1932
        - !scalebar
          type: bar
          maxSize: 100
          barBgColor: white
          fontSize: 8
          align: right
        - !text
          text: '${comment}'
          spacingAfter: 30
        - !text
          font: Helvetica
          fontSize: 9
          align: right
          text: '1:${scale} ${now MM.dd.yyyy}'
        - !legends
          align: left
          maxIconWidth: 32
          maxIconHeight: 32
      footer: *commonFooter
